extern int magicNumber = 1234; // trade unique identifier
extern double lots = AccountBalance() / 3000; 

extern int trade_type;
extern bool trade_close = false;
extern bool trade_open = false;
extern bool trade_active;

// Slow moving averages values
extern int MAFastPeriod = 10;
extern int MAMediumPeriod = 25;
extern int MASlowPeriod = 50;


double takeProfit = 0;
double stopLoss = 20;
int ticket;
int counter;

// expert initialization function                                   
int init()
{
   return(0);
}

// expert deinitialization function                                 
int deinit()
{
   return(0);
}

//------------------------------------------------------------------
// Populate VALUES
//------------------------------------------------------------------

RefreshRates();

extern double SMAFast = iMA(NULL,0,MAFastPeriod,0,MODE_EMA,PRICE_CLOSE,1);
extern double SMAMedium = iMA(NULL,0,MAMediumPeriod,0,MODE_EMA,PRICE_CLOSE,1);
extern double SMASlow = iMA(NULL,0,MASlowPeriod,0,MODE_EMA,PRICE_CLOSE,1);
extern double SMAFastPrev;

int start()
{

//------------------------------------------------------------------
//   Set trade_open indicator
//------------------------------------------------------------------
   IF trade_active = false && 
                           ((SMAFastPrev    <  SMAFast
                             && SMAFast     >= SMASlow
                             && SMAFastPrev <  SMASlow)
                           OR 
                            (SMAFastPrev    >  SMAFast
                             && SMAFast     <= SMASlow
                             && SMAFastPrev >  SMASlow))
       {  
         trade_close = false;
         trade_active = true;
         trade_open = true; 
       }
       ELSE
       IF trade_active = true && 
                              ((SMAFastPrev    <  SMAFast
                                && SMAFast     >= SMAMedium
                                && SMAFastPrev <  SMAMedium)
                              OR 
                               (SMAFastPrev    >  SMAFast
                                && SMAFast     <= SMAMedium
                                && SMAFastPrev >  SMAMedium))
       {
         trade_close = true;
         trade_active = false;
         trade_open = false;
       }
//------------------------------------------------------------------
//    Set trade trade_type (trade direction)   
//------------------------------------------------------------------
   IF trade_active = true
       {
           IF @SMAFastPrev < @SMAFast
               && @SMAFast >= @SMASlow
               && @SMAFastPrev < @SMASlow
               {
                   trade_type = 1; //buy trade
               }
           ELSE
               IF @SMAFastPrev > @SMAFast
                  && @SMAFast <= @SMASlow
                  && @SMAFastPrev > @SMASlow
                   {
                       trade_type = 9; // sell trade
                   }
       }
   ELSE
       IF (trade_active = false && trade_close = false)
           {
               trade_type = 0;
           }

//------------------------------------------------------------------
//   -- Set trading signals
//------------------------------------------------------------------

   IF (trade_open = true && trade_type = 1)
      {
         RefreshRates();
         ticket=OrderSend(Symbol(),OP_BUY,lots,Ask,slippage,stopLoss,takeProfit,"buy",magicNumber,0,Green;
      }
   IF (trade_open = true && trade_type = 9)
      {
         RefreshRates();
         ticket=OrderSend(Symbol(),OP_SELL,lots,Bid,slippage,stopLoss,takeProfit,"sell",magicNumber,0,Red);
      }
   IF (trade_close = true && trade_type = 1)
      {
         RefreshRates();
         OrderClose(OrderTicket(),lots,Bid,slippage,Green);
      }
   IF (trade_close = true && trade_type = 9)
      {
         RefreshRates();
         OrderClose(OrderTicket(),lots,Ask,slippage,Red);
      }


   SMAFastPrev = SMAFast;

   return(0);
}

